TON
List Broadcasted Transactions
Get a list of all broadcasted transactions.
GET
/
api
/
v1
/
ton
/
{network}
/
transactions
List Broadcasted Transactions
curl --request GET \
--url https://api.p2p.org/api/api/v1/ton/{network}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.p2p.org/api/api/v1/ton/{network}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.p2p.org/api/api/v1/ton/{network}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"result": {
"limit": 50,
"offset": 0,
"totalCount": 150,
"list": [
{
"amount": "2",
"transactionHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"stakerAddress": "7031f1dcbe0f670daf4094d04ff9a7947bc4ac9174a7d470255d1a664e20b7c6",
"publicKey": "7031f1dcbe0f670daf4094d04ff9a7947bc4ac9174a7d470255d1a664e20b7c6",
"nominatorPoolAddress": "<string>",
"walletVersion": "V4",
"status": "broadcasted",
"type": "stake"
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
TON network:
- `mainnet` — production network.
- `testnet` — testnet.
Available options:
mainnet, testnet Query Parameters
Number of resources that a single response page contains.
Required range:
1 <= x <= 1000Example:
50
Number of resources to exclude from a response.
Required range:
0 <= x <= 100000Example:
0
Staker account address.
Example:
"9i5cTqci1W6DHdYfT7WbiNhP5DXvnPNTXvS9fTBFfuSw"
List Broadcasted Transactions
